Ubuntu

flashplugin-nonfree causes browser crash on close

Reported by Drew Woodard on 2007-05-13
82
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Epiphany Browser
Unknown
Critical
flashplugin-nonfree (Ubuntu)
Medium
Unassigned
Nominated for Intrepid by Bart Samwel
Nominated for Jaunty by Bart Samwel
linux (Ubuntu)
Undecided
Unassigned
Nominated for Intrepid by Bart Samwel
Nominated for Jaunty by Bart Samwel
linux-source-2.6.20 (Ubuntu)
Medium
Unassigned
Nominated for Intrepid by Bart Samwel
Nominated for Jaunty by Bart Samwel

Bug Description

Steps to reproduce this bug:

1. Start Epiphany browser with flashplugin-nonfree and navigate to Youtube.com

2. Play videos by either
a) Play the whole video till end, then click one of the relevant videos in the flash window
b) Play the video and click on the link to a different one during playback
c) Play a playlist of videos and use the "next" link from time to time

In other words, use Youtube like it's ment to be used. Sooner or later, Epiphany crashes. Sometimes it will crash every time I restore the Epiphany and try to navigate the same.

Drew Woodard (drew-woodard) wrote :

cat /proc/asound/card0/codec*

Drew Woodard (drew-woodard) wrote :

dmesg

Drew Woodard (drew-woodard) wrote :

sudo lspci -vvn

Daniel T Chen (crimsun) wrote :

Why is this flagged as a kernel problem? There have been no core structural changes to ALSA since 2.6.20-8. Furthermore, I cannot reproduce this on any machines to which I have access using Flash 9 and Conexant/Sigmatel/Realtek HDA.

The above outputs that you've pasted are really useless for this bug report, unfortunately. Please use oprofile to aid in profiling the ALSA code.

Drew Woodard (drew-woodard) wrote :

I don't know how exactly it should be flagged, I flagged it as a kernel problem because when I was looking to see if it was a duplicate almost all snd-hda-intel related problems (I'm only assuming that's what this is) were filed under this category. And someone reported the problem disappeared when switching to the 2.6.15 kernel.

I attached those files because they seem to get requested quite often when there are sound related problems. Sorry if they aren't of any use.

I have never used oprofile before, see no mention of it in the ubuntu docs or wiki, and little mention on the forums how should I use it?
I see that if I do "opcontrol --start" and then issue "opcontrol --shutdown" I end up with files in /var/lib/oprofile/samples/current/ and I can get a summary from "opreport" but I don't know if this is what is needed in this particular case.

Should I start opcontrol in this way, reproduce the crash, then submit the resulting files in /var/lib/oprofile/samples/current/, have it profile a specific binary, or something else instead?

Drew Woodard (drew-woodard) wrote :

some additional information:

In the bug report I linked in the description we have had six people experiencing the problem report what audio chipset they are using, it appears that all six people have chipsets that use snd-hda-intel

Two people have reported trying pre-2.6.20 kernels and in both cases the old kernel did not have this freezing problem

in the following forum post (and I have verified this on my own system as well) the potential crash seems to only occur when closing or navigating away from the last thing on the system that has flash loaded. So for example if you open a browser window (in my cause konqueror), load a site with flash, then put that konqueror window in the background somewhere you can now use firefox normally with flash content and it won't freeze. Someone else reported doing the same thing with two copies of firefox also works. So perhaps something is not freeing a resource correctly.
http://ubuntuforums.org/showthread.php?p=2649618#post2649618

bark (kento) wrote :

I have exactly the same problem. Firefox 2.0.4 with flash 9 (flashplugin-nonfree) crashes when I close a tab with a flashmovie on youtube. I have an Asus M2N-SLI Deluxe motherboard with integrated audio. lsmod also shows that snd-hda-intel is loaded. (this bug is really, really annoying)

lspci:
00:06.1 Audio device: nVidia Corporation MCP55 High Definition Audio (rev a2)

lsmod:
snd_hda_intel 21912 1
snd_hda_codec 205056 1 snd_hda_intel
snd_pcm_oss 44544 0
snd_mixer_oss 17408 1 snd_pcm_oss
snd_pcm 79876 3 snd_hda_intel,snd_hda_codec,snd_pcm_oss

Changed in linux-source-2.6.20:
status: Unconfirmed → Confirmed
Changed in linux-source-2.6.20:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
Marc Deslauriers (mdeslaur) wrote :

I would like to add that I have this problem on two computers, my desktop and my laptop. Both of them use snd_hda_intel. My other computer that doesn't use snd_hda_intel doesn't have the problem. The problem appeared with kernel 2.6.20.5-16.29. Reverting to 2.6.20.5-15.20 definitely fixes the problem for me.

This is a major issue, as most web sites containing flash cause firefox to hang when navigating to another page.

Markus Kienast (elias1884) wrote :

I first saw this happen some time after Feisty was released. Some update triggered the bug. Before everything seemed fine.

Now this persists also in Gutsy. I have an intel HDA on my laptop. I have also seen this happen on my LTSP server after upgrading from EDGY to Gutsy. Had to revert back to my Edgy backup because I can't expect my users to restart firefox all the time. And yes, this also happens in Konqueror. But it might also be related to some problem within the flash-plugin.

Test this URL: http://www.strato.de/server/index.html
It freezes my firefox every time!

I also have reported this issue in some other bug reports which most certainly are duplicates:
Bug #84844
Bug #104470

This might be related:
Bug #129656
Bug #158473

I would consider this another of these MUST-FIX bugs. We need a special bug fixing team concentrating on these kinds of bugs! It is an embarrassment to have firefox freeze on youtube all the time. Especially as this is what most people do on the web these days!

Markus Kienast (elias1884) wrote :

As this may be a hardware related bug, I want to stress that resolving the following bug, would make fixing this one easier: Bug #3382

Marc Deslauriers (mdeslaur) wrote :

I would like to retract my previous statement. Reverting to 2.6.20.5-15.20 did not in fact resolve this for me.

I am still getting this behaviour every day on both my main desktop and my laptop with gutsy.

Julien (psylo1979) wrote :

I can confirm this bug with a fresh new Gutsy install with firefox 2.0.0.11 and Shockwave Flash 9.0 r115
firefox will freeze randomly when accessig a site with flash animation (example: youtube).
I had exactly the same bug using feisty.
I'm using AC97 Sigmatel chpiset

DanielRoesler (diafygi) wrote :

This bug has been around for quite a while. I've been hoping it could be fixed on the flash side, but I'm using the latest debugging version (9.0.115.0), but it's still crashing. The flash-plugin debug logs don't show any pattern.

Also, there are some duplicate bugs that haven't been noted yet: bug #84844 and bug #104470

I've contacted Adobe about the problem and volunteered to help test anything, but they've not responded. I view this problem as critical, since so many users will resist switching to Linux because youtube doesn't work.

Julien (psylo1979) wrote :

I can't believe this bug has been reported for such a long time, and still has not been corrected.
Many people posted different workarrounds, but none of them did work for me
this bug is a real pain... Firefox is almost useless... adobe should really takes it more seriously

I'd call this a "showstopper" bug!

I tagged the bug accordingly. Unfortunately this tagging business in
launchpad does not make any sense as long as there is no tag cloud
anywhere presenting them.

On Thu, 2007-12-27 at 10:22 +0000, Julien wrote:
> I can't believe this bug has been reported for such a long time, and still has not been corrected.
> Many people posted different workarrounds, but none of them did work for me
> this bug is a real pain... Firefox is almost useless... adobe should really takes it more seriously
>

I experienced the same problem but found a solution. I converted my xorg.conf back to default. It only seems to occur if you modify the xorg.conf file (in my case for 5 button mouse configuration). This could be why some people experience this issue while others don't.

I have no problems with (default):
Section "InputDevice"
Identifier "Configured Mouse"
Driver "mouse"
Option "CorePointer"
Option "Device" "/dev/input/mice"
Option "Protocol" "ImPS/2"
Option "ZAxisMapping" "4 5"
Option "Emulate3Buttons" "true"
EndSection

With this Firefox\Flash sporadically crashed:
Section "InputDevice"
Identifier "Configured Mouse"
Driver "mouse"
Option "CorePointer"
Option "Device" "/dev/input/mice"
Option "Protocol" "ExplorerPS/2"
Option "ZAxisMapping" "4 5"
Option "Emulate3Buttons" "true"
Option "ButtonMapping" "1 2 3 6 7"
EndSection

Kevin (kevintitus) on 2008-01-09
description: updated
Drew Woodard (drew-woodard) wrote :

@Kevin Titus

When you reset your xorg.conf did you also change any graphics related settings you may have had? Specifically DefaultDepth

The reason I ask is because there are multiple ways flash can crash people, which is part of the reason you see people say something fixed their problem and then someone else will come along and say it did nothing for them.

There are flash crash problems related to DefaultDepth setting in xorg.conf for certain people. I can't say for certain that your solution won't work but it seems strange to me that mouse button settings would correct a problem when we have a large amount of evidence indicating the problem is sound/kernel related, or at least that this particular flash-crash bug report is sound related.

I checked my xorg.conf and I do only have the former of these two lines
in there. As I am not using the Emulated3Buttons function on quitting
from a Flash movie, I doubt this might solve anything for me. I also
don't want to turn it off, as I neeeed it. I might give it a try later
though.
Option "Emulate3Buttons" "true"
Option "ButtonMapping" "1 2 3 6 7"

@Titus
As Drew indicated, were there any other changes to your xorg.conf which
might have an influence?

Generally I am one of those thinking this has to do with something
kernel related, as this problem started after some "security" update. It
was not even the first Feisty kernel which this problem started with! I
also had suspected this problem occurring due to some firefox security
update, but as in my Edgy installation we should have had the same fixes
applied to firefox, the fact that I don't have the problem there,
somehow rules out firefox as the problem's source.

Nick B. (futurepilot) wrote :

I do not believe this is kernel or even sound related. This seems to me to be purely a Flash issue. The original report mentioned the snd-hda-intel module being responsible, however I have a computer with a Sound Blaster Audigy 4 and I get browser lockups caused by Flash content. From what I can tell this issue was introduced in the initial release of Flash 9.

This is what I have on my Laptop:
00:1b.0 Audio device: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6
Family) High Definition Audio Controller (rev 03)

This is what my LTSP server is equipped with:
00:07.5 Multimedia audio controller: VIA Technologies, Inc. VT82C686
AC97 Audio Controller (rev 50)

Both lock up. So yes, this does not seem to be related to snd-hda-intel.

I'd be delighted if Canonical could officially get Adobe involved in
this matter.

Drew Woodard (drew-woodard) wrote :

@Nick B
It is possible that you have a completely legitimate flash-crash bug that is unrelated to sound. And at the same time myself and others could have a flash-crash bug that is sound dependent.

The flash plugins seem able to create a range of problems, and there is little documentation or feedback from Adobe, combined with the proprietary nature of the plugin it can be rather frustrating to troubleshoot. I've seen in other bug reports people reporting various problems with the flash plugins that had different causes, part of the reason I put snd-hda-intel in the original description of this bug report was that I wanted to be specific in saying that this particular bug report would be about the apparent conflict between the plugin and that sound driver. And that flash-crash problems related to color depth or other variables could be discussed in their corresponding bug reports.

As for whether there is any conflict related to the flash/snd-hda-intel combination, I can't say for sure but there does seem to be a good amount of evidence. In my original description for this bug report I linked to the following bug report:
https://bugs.launchpad.net/ubuntu/+source/flashplugin-nonfree/+bug/104470
in that report myself and others with sound chips that use snd-hda-intel found that we could stop the crashes both by disabling sound in the bios or switching to a kernel that used a different snd-hda-intel, which points strongly to there being a connection.

Drew Woodard (drew-woodard) wrote :

couple things I forgot to mention

@Elias Humbolt
you mentioned your LTSP server has a via sound controller, is the server experiencing the flash-crashes as well as the clients connecting to it? And do the server and clients have the same audio devices.
I guess my question would be, what is the output of the command:
cat /proc/asound/cards
on the machine that is experiencing the crashes? I'm guessing it will be something like "snd-via82xx" but I just wanted to double check.

@Nick B.
As I mentioned in the previous post your crashing problem may be unrelated to sound but I read something in the 104470 report and thought I would mention it here. You mentioned you are using a standalone sound card, someone else who was using a standalone card reported that they were getting crashing problems because of their onboard sound, even though they weren't using it for sound output. Apparently just having the module for that sound hardware loaded was enough to cause the crashes and disabling their onboard sound stopped it.

Just for fun you may want to check and see what is being loaded via the command:
cat /proc/asound/cards
and if it happens to be loading drivers for the onboard sound it might be worth disabling it in the bios or elsewhere as a test.

Markus Kienast (elias1884) wrote :

elias@xserver:~$ cat /proc/asound/cards
 0 [rev50 ]: VIA686A - VIA 82C686A/B rev50
                      VIA 82C686A/B rev50 with ALC200,200P at 0xa000,
irq 10

This is the sound card on the server. The sound cards on the clients
don't matter, as no sound is exported to them and the firefox
application in an LTSP environment is running on the server itself.

However, I have no idea if firefox would still crash on the servers
native X display, as I never log on to the server directly. It is in the
basement.

Kevin (kevintitus) wrote :

I'm not entirely dismissing the fact that it may be sound related. What I'm trying to do is open the scope for further investigation. I made “no changes” to my video nor sound configurations (lsmod also shows that snd-hda-intel is loaded on my system too) yet I was able to resolve the issue by going a completely different route.

I'm posting my findings here for informative purposes only. I'm happy now because even if I open a bunch of separate windows and run various combinations of different Flash videos while doing browser back, browser forward, video pause, video replay, etc.) I'm unable to cause a crash anymore.

Maybe its a input\output communication error. Xorg.conf as well as all hardware devices such as sound cards do pertain to i\o functions. Firefox is trying to carry out the back or close command yet the Flash plugin remains persistent. What process tells Flash to stop? The action that causes the reaction involves user input (mouse). When no input occurs no problems occur. The video just runs until it ends. Similarly, a test driver is testing a car but a new prototype break line malfunctions. Even though the driver wants to stop (Firefox) the vehicle (Flash) will continue. Unfortunately the end result in both cases would be a crash.

This will be my last post regarding this. Please remember I posted here for informative purposes only.

Drew Woodard (drew-woodard) wrote :

@Kevin Titus
I don't expect a response to this but I want to say that having "a bunch of separate windows and run various combinations of different Flash videos" may not be the most revealing test.

I have always been able to have lots of flash windows open at the same time. The problem I am having, along with many other people, only occurs when the last instance of flash is closed. As I mentioned earlier in this bug report if I have flash loaded somewhere in the background, either in another browser or another tab, I can do anything with flash and it won't crash me. The only time the crash was occurring was when I close or navigate away-from the only thing using flash.

Nick B. (futurepilot) wrote :

@Drew Woodard
Here's is the output of cat /proc/asound/cards
It's the only card I have and/or loading drivers for.
 0 [Audigy2 ]: Audigy2 - Audigy 2 Value [Unknown]
                      Audigy 2 Value [Unknown] (rev.0, serial:0x10221102) at 0xee00, irq 16

I do agree that trouble shooting this is rather frustrating due to the closed source nature and lack of Adobe's feedback on the issue. (as I have contacted them a few times about it with little to nothing resolved)
I don't know how but I must have completely missed bug# 104470 and after reading through it I can see where it might be related to the snd-hda-intel module.

derp (dgharibi) wrote :

This, at least for me, is a sound issue; more specifically an alsa vs
oss issue.

I can replicate the crash with the following steps:

1) open xmms
2) play arbitrary mp3 (using the OSS output driver "libOSS")
3) open new instance of firefox
4) go to youtube.com and play random video (you should not hear any
sound from the video as OSS has taken over /dev/dsp)
5) while the video is playing, stop xmms (not pause)
6) press back on browser
7) crash!

I solved this problem by setting *everything* to use alsa. It seems as
though flash (which, for me, uses alsa) does not play nice with OSS.

D.

On Thu, 2008-01-10 at 02:33 +0000, Drew Woodard wrote:
> @Kevin Titus
> I don't expect a response to this but I want to say that having "a bunch of separate windows and run various combinations of different Flash videos" may not be the most revealing test.
>
> I have always been able to have lots of flash windows open at the same
> time. The problem I am having, along with many other people, only
> occurs when the last instance of flash is closed. As I mentioned
> earlier in this bug report if I have flash loaded somewhere in the
> background, either in another browser or another tab, I can do anything
> with flash and it won't crash me. The only time the crash was occurring
> was when I close or navigate away-from the only thing using flash.
>

derp (dgharibi) wrote :

Update to previous solution: I would still get crashes once in a blue
moon when something would take over /dev/dsp. Thus, I decided to
recompile alsa(1.0.16) without oss support; have not had a firefox crash
since.

The only drawback is no OSS, which isn't an issue for me.

D.

On Wed, 2008-01-09 at 22:29 -0800, DG wrote:
> This, at least for me, is a sound issue; more specifically an alsa vs
> oss issue.
>
> I can replicate the crash with the following steps:
>
> 1) open xmms
> 2) play arbitrary mp3 (using the OSS output driver "libOSS")
> 3) open new instance of firefox
> 4) go to youtube.com and play random video (you should not hear any
> sound from the video as OSS has taken over /dev/dsp)
> 5) while the video is playing, stop xmms (not pause)
> 6) press back on browser
> 7) crash!
>
> I solved this problem by setting *everything* to use alsa. It seems as
> though flash (which, for me, uses alsa) does not play nice with OSS.
>
> D.
>
>
> On Thu, 2008-01-10 at 02:33 +0000, Drew Woodard wrote:
> > @Kevin Titus
> > I don't expect a response to this but I want to say that having "a bunch of separate windows and run various combinations of different Flash videos" may not be the most revealing test.
> >
> > I have always been able to have lots of flash windows open at the same
> > time. The problem I am having, along with many other people, only
> > occurs when the last instance of flash is closed. As I mentioned
> > earlier in this bug report if I have flash loaded somewhere in the
> > background, either in another browser or another tab, I can do anything
> > with flash and it won't crash me. The only time the crash was occurring
> > was when I close or navigate away-from the only thing using flash.
> >

@derp

Sounds like you have found the source of the problem to me. I'll give it
a try also and report back!

I suppose you don't really need to recompile alsa for this fix. You just
need to make sure the oss compatibility layer modules are not loaded.
The modules seem to get loaded from within /etc/modprobe.d/alsa-base.
There are only three lines that need to be changed for this as it seems:

elias@doroga:~$ grep -n oss /etc/modprobe.d/alsa-base
13:install snd-pcm /sbin/modprobe --ignore-install snd-pcm &&
{ /sbin/modprobe --quiet snd-pcm-oss ; : ; }
14:install snd-mixer /sbin/modprobe --ignore-install snd-mixer &&
{ /sbin/modprobe --quiet snd-mixer-oss ; : ; }
15:install snd-seq /sbin/modprobe --ignore-install snd-seq &&
{ /sbin/modprobe --quiet snd-seq-midi ; /sbin/modprobe --quiet
snd-seq-oss ; : ; }

I just put a # before the &&-s in these lines for now. While not loading
oss modules most likely fixes the problem, this might not be the
solution Ubuntu will and/or should go for, as it would disable all oss
compatibility by default. I would not have a problem with that, but some
might. Maybe there is a smarter solution, which just prevents oss
compatibility loaded for hda_intel chips.

I am looking forward to a comment form Ubuntu officials on that.

Elias

Markus Kienast (elias1884) wrote :

@Derp
Just gave it a try. Removed the alsa-oss modules by hand. Flash still
freezes. For me it does not freeze when I play some sound in Skype for
example, but when I close the tap that contains the flash file I had
running while playing some sound in flash, then firefox freezes.

I'll test it further, but have only little hope.

DickeyWang (invariance) wrote :

I am having the same problem.
I am not an expert so I am not sure if it helps, but I noticed that this problem doesn't show up in gOS rockets, which is said to be based on Ubuntu.

Drew Woodard (drew-woodard) wrote :

If that is the case, and there is an Ubuntu derivative that does not have these crashing issues I would be curious to know:
1. What version of the kernel are they running, I see that "rocket" is their newest unstable, does that mean it is based on Hardy?
2. If it is stable and based on Hardy, are these issues also resolved in a stock Hardy install?

If that doesn't lead us to an answer it might be worth knowing if their alsa and flashplugin packages are copied directly from ubuntu or if they have been modified in some way. I looked at the gos website a bit but it seems pretty light on details.

DanielRoesler (diafygi) wrote :

I just did a clean install of Hardy Heron 8.04 beta. Haven't had a crash yet, and I've been trying hard. Looks good so far. Will report back if I experience a crash.

DanielRoesler (diafygi) wrote :

Okay, some good news and bad news.

First, the bad news: Hardy Heron 8.04 beta still crashes. It's much less often, but Firefox still crashes.

Next, the good news: I found a reproducible incident. Every time I visit this site, it will crash. Please try it out and see if it crashes for you.

http://gei.portals.streamos.com/cc/channel.php?emcid=1144&empid=4923&packageid=0000?emcid=1144&empid=4923&packageid=0000

I’m using Feisty and a manually installed FIrefox 2.0.0.13, and the site don’t makes anything crash.

The above mentioned site does not crash firefox for me. My configuration is an updated Hardy on HP NX6325 with xorg-driver-ati. I have tried with and without flashblock and adblock plus.

I using Ubuntu Hardy 8.04.1 with the kernel 2.6.24-19 and the plugin flashplugin-nonfree 9.0.124.0ubuntu2 and my firefox 3 crash and close my browser.

DanielRoesler (diafygi) wrote :

I have been beta testing Intrepid 8.10, and I can't seem to get flash to crash anymore. Anyone else see this bug still occurring in Intrepid?

Bart Samwel (bart-samwel) wrote :

Yes. I run an up-to-date Intrepid as of 2008-11-06 and my npviewer.bin goes to 100% cpu usage (on TWO cpus!) when I navigate away from a youtube page. Running flashplugin-nonfree 10.0.12.36, sound card is snd-hda-intel (sigmatel).

The 18 month support period for Feisty Fawn 7.04 has reached it's end of life - http://www.ubuntu.com/news/ubuntu-7.04-end-of-life . As a result we are closing the linux-source-2.6.20 task. Thanks.

Changed in linux-source-2.6.20:
status: Confirmed → Won't Fix
Bart Samwel (bart-samwel) wrote :

Aaargh, tried to add linux-source-2.6.27 but it now added "linux" instead. And there's no linux-source-xxx after 2.6.24. What's going on here?

Daniel T Chen (crimsun) wrote :

Is this symptom still reproducible in 8.10 or 9.04?

Changed in linux:
status: New → Invalid
Changed in linux-source-2.6.22:
status: New → Incomplete
Nick B. (futurepilot) wrote :

I haven't had this problem since Flash 10 was released. I was using Flash 10 on Hardy for a while without this problem. Currently I'm using Intrepid with Flash 10 still without encountering this issue. Seems like Flash 10 fixed it.

Alexander Sack (asac) wrote :

fixed released based on last comment. If you still see this particular issue, please reopen.

Changed in flashplugin-nonfree:
status: Incomplete → Fix Released
Alexander Sack (asac) wrote :

err ... unreproducible == invalid :)

Changed in flashplugin-nonfree:
status: Fix Released → Invalid

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Runar Ingebrigtsen (ringe) wrote :

I changed the description to Epiphany. I have a lot of trouble with flashplugin-nonfree and Youtube.

description: updated
Changed in flashplugin-nonfree:
status: Invalid → Confirmed
Runar Ingebrigtsen (ringe) wrote :

I'm running Intrepid and flashplugin-nonfree version 10

Runar Ingebrigtsen (ringe) wrote :

This problem seems related to a NOTGNOME resolved bug in the Epiphany web browser. The valgrind log from surfing dagensit.no with a Flash crash is attached here.

Changed in epiphany-browser:
status: Unknown → Invalid
Runar Ingebrigtsen (ringe) wrote :

Attached a gdb backtrace from surfing youtube.

DanielRoesler (diafygi) wrote :

I can confirm this bug currently exists in a reproducible form in Jaunty Jackalope 9.04 alpha. Everytime I go to a youtube or dailymotion video and try to close that window, Firefox either freezes or crashes. Can anyone else confirm this behavior in Jaunty?

Yes, I can confirm this issue on Jaunty 9.04 alpha with latest updates... has been situation for weeks. I'm on 32bit x86, Intel graphics.

DanielRoesler (diafygi) wrote :

Okay, a small change in behavior for the Jaunty incarnation. My browser used to crash (Intrepid) when I closed a window OR tab with a video playing. In Jaunty, however, tabs close just fine. It's only when I close a window that Firefox crashes. Can others confirm? It happens 100% of the time when a video is playing or has finished playing.

Thanks for reporting this bug and any supporting documentation. Since this bug has enough information provided for a developer to begin work, I'm going to mark it as confirmed and let them handle it from here. Thanks for taking the time to make Ubuntu better!

Changed in flashplugin-nonfree:
importance: Undecided → Medium
status: Confirmed → Triaged
DanielRoesler (diafygi) wrote :

Okay, just to clarify, here's my steps for reproducing this bug in Jaunty:
1. open any youtube video.
2. watch it for a while (60 seconds+) or watch until it finishes.
3. close the window.
4. Firefox crashes (closes all windows). This happens 50-100% of the time.

Options to avoid crashes:
-Use tabs. Closing a tab with video no longer crashes Firefox. It used to, but now it doesn't.
-Navigate away from the video page (i.e. go to http://ubuntu.com/) before closing the window. This also used to cause a crash but it no longer does in Jaunty.

Are their other situations where these steps/options are invalid? Did we ever decide that hda-intel was the culprit?

I encountered this problem after upgrading to 9.04.
I upgraded my 2 computers. On one of them flash works fine - on this computer Kubuntu was installed from CD.
The second computer was upgraded from 8.10 to 9.04.
On my second computer first there was no voice in flash objects, but except this firefox did not freeze.
I discovered that the despite of the fact that aptitude shows installed version of flash is 10.0.22.87, the flash
running in my browser had version 9.
So I removed the flash plugin from ~/.mozilla/plugins/.
It helped me for a while - I had flash 10.
But there is one annoying thing in flash objects: if you click to fast on the flash object, the object
is killed and restarted. Only the flash object and not a whole website.
So it happened to me and after this I have no sound in my flash objects and in addition to this when I try to close
the tab containing such object, firefox freezes and only killing firefox process helps in this situation.

So I started repairing this problem. First idea was to install the flash package from my first computer. But it didn't help.
Acutally, the packages have the same version. I also tried to install flash plugin directly from adobe website - also without success.
I removed/purged flash .deb packages. I even removed flash*.so file manually. With no success.

I also tried to run flash on epiphany and konqueror. In epiphany the situation is the same as in firefox. In konqueror it even cannot find flash plugin.

On my first computer flash works fine in konqueror.

I don't think is a problem with flashplugin-nonfree itself since:
1. it works on some computers and on some not.
2. it even worked on my computer before.

Flash is now working on my second computer. I didn't do anything special. Just turned it off and started again and now is OK.

Changed in epiphany-browser:
importance: Unknown → Critical
status: Invalid → Unknown
Canol Gökel (canol) wrote :

Hello, this bug affects me as well since probably 9.04 or so. I'm now using Xubuntu 10.10 64-Bit with Nvidia restricted drivers. I couldn't read all the messages in this topic but I can provide any info you ask.

derwiwie (derwiwie) wrote :

Hello, In my case, firefox does not crash, but it hangs when I close a tab containing cultures-online.de. It takes the GUI about 2 seconds to be responsive again.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.